Bug 811214 - Update packaging guidelines to reflect pdebuild.sh -> eclipse-pdebuild change
Update packaging guidelines to reflect pdebuild.sh -> eclipse-pdebuild change
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
https://fedorahosted.org/fpc/ticket/161
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 08:55 EDT by Andrew Overholt
Modified: 2014-01-12 19:26 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-17 04:12:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2012-04-10 08:55:28 EDT
We need to update (file a ticket at [2]) the Eclipse Packaging Guidelines [1] to reflect the move of pdebuild.sh to %{_bindir}/eclipse-pdebuild.  While we're at it, should we also mention the centralized definition of eclipse_base, etc.?

[1]
https://fedoraproject.org/wiki/Packaging:EclipsePlugins

[2]
https://fedorahosted.org/fpc/newticket
Comment 1 Krzysztof Daniel 2012-04-11 02:43:43 EDT
How does it works? Will we be granted some rights to change the wiki or we have to describe what should be changed?
Comment 2 Krzysztof Daniel 2012-04-11 02:59:32 EDT
Here is the list of proposed changes:
= Section 1.5.1 =
is:
pdebuild
should be:
eclipse-pdebuild

is:
There is a script that makes invoking PDE Build easy: /usr/lib{,64}/eclipse/buildscripts/pdebuild: 
should be:
There is a script that makes invoking PDE Build easy: eclipse-pdebuild: 

is:
usage: /usr/lib{,64}/eclipse/buildscripts/pdebuild [<options>] 
should be:
usage: eclipse-pdebuild [<options>] 

= Section 1.9 =

is: 
%{_eclipse_base}/buildscripts/pdebuild -f org.eclipse.plugin_feature
should be:
eclipse-pdebuild -f org.eclipse.plugin_feature

is:
%{_eclipse_base}/buildscripts/pdebuild -f org.eclipse.plugin.b_feature
should be:
eclipse-pdebuild -f org.eclipse.plugin.b_feature


Additional changes related to eclipse_base
= Section 1.6 =
is:
Architecture-specific plugins/features should go into %{_libdir}/eclipse/dropins/<one word name of this feature or plugin>. JARs should therefore go into %{_libdir}/eclipse/dropins/<name>/plugins and features should go into %{_datadir}/eclipse/dropins/<name>/features. Example: 
should be:
Architecture-specific plugins/features should go into %{_eclipse_base}/dropins/<one word name of this feature or plugin>. JARs should therefore go into %{_eclipse_base}/dropins/<name>/plugins and features should go into %{_eclipse_base}/dropins/<name>/features. Example: 

= Section 1.7 =
is:
While many Eclipse plugins will be architecture-independent, there will be some that contain native parts. Plugins without native fragments should be noarch and go into %{_datadir}/eclipse/dropins and plugins with native fragments should be arch-dependent and go into %{_libdir}/eclipse/dropins. 
should be:
While many Eclipse plugins will be architecture-independent, there will be some that contain native parts. Plugins without native fragments should be noarch and go into %{_datadir}/eclipse/dropins and plugins with native fragments should be arch-dependent and go into %{_eclipse_base}/dropins. 

= New section in Tips and Notes: _libdir and _eclipse_base usage =
Some Eclipse packages, while generally being noarch, require architecture specific Eclipse plugins, or need to be installed into architecture specific locations. Unfortunately the %{_libdir} is not correctly resolved during noarch builds, therefore main eclipse package provides %{_eclipse_base} macro, which is resolved into main eclipse arch directory, i.e.:
* /usr/lib/eclipse on 32 bit systems
* /usr/lib64/eclipse on 64 bit systems
Comment 3 Andrew Overholt 2012-04-11 08:37:42 EDT
You have to make a separate wiki page with the changes in place and then open a trac ticket with the Fedora Packaging Committee and they will evaluate an approve or ask for changes.
Comment 5 Krzysztof Daniel 2012-04-11 09:16:56 EDT
Ticket ready https://fedorahosted.org/fpc/ticket/161
Comment 6 Andrew Overholt 2012-04-11 09:20:43 EDT
It looks great!  The only change I'd suggest is:

"used in eclipse packages. New macro," -> "used in eclipse packages. A new macro,"
Comment 7 Krzysztof Daniel 2012-04-11 09:26:54 EDT
Done.
Comment 8 Orion Poplawski 2012-04-13 23:44:08 EDT
Is /usr/bin/eclipse-pdebuild available in F15+?  If not you will need to mention that in the guidelines for now.
Comment 9 Krzysztof Daniel 2012-04-16 00:32:03 EDT
I have added a note linking to the old version of documentation, although the link is bogus now.

Note You need to log in before you can comment on or make changes to this bug.